# Generated by Django 3.1.6 on 2021-02-14 21:03

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('assessments', '0012_auto_20210213_1803'),
    ]

    operations = [
        migrations.RenameField(
            model_name='question',
            old_name='capability',
            new_name='description',
        ),
        migrations.RemoveField(
            model_name='answer',
            name='question',
        ),
        migrations.RemoveField(
            model_name='assessment',
            name='answers',
        ),
        migrations.RemoveField(
            model_name='assessment',
            name='area',
        ),
        migrations.AddField(
            model_name='assessment',
            name='name',
            field=models.CharField(default='TEST', max_length=100),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='assessment',
            name='questions',
            field=models.ManyToManyField(to='assessments.Question'),
        ),
        migrations.AddField(
            model_name='assessment',
            name='version',
            field=models.FloatField(default=1.0),
        ),
        migrations.AddField(
            model_name='question',
            name='answers',
            field=models.ManyToManyField(to='assessments.Answer'),
        ),
        migrations.AddConstraint(
            model_name='assessment',
            constraint=models.UniqueConstraint(fields=('name', 'version'), name='assessment template'),
        ),
    ]
